<?php $__env->startSection('title', __('Overview')); ?>

<?php $__env->startSection('content'); ?>

<div class="row">
<?php if(Config::get('vertical_summary')): ?>
    <div class="col-md-9">
<?php else: ?>
    <div class="col-md-8">
<?php endif; ?>

<div class="row">
    <div class="col-md-12">
        <div class=front-page>
            <div class="status-boxes">

    <?php $__currentLoopData = $devices_down; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $device): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="front-box device-down">
            <?php echo \LibreNMS\Util\Url::deviceLink($device, $device->shortDisplayName()); ?>

            <br />
            <span class=list-device-down><?php echo e(__('Device Down')); ?></span>
            <br />
            <span class=body-date-1><?php echo e(\Str::limit($device->location, 20)); ?></span>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

    <?php $__currentLoopData = $ports_down; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $port): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="front-box alert alert-danger">
            <?php echo \LibreNMS\Util\Url::deviceLink($port->device, $port->device->shortDisplayName()); ?>

            <br />
            <span class="interface-updown"><?php echo e(__('Port Down')); ?></span>
            <br />
            <?php echo \LibreNMS\Util\Url::PortLink($port); ?>

            <?php if($port->ifAlias): ?>
                <br />
                <span class="body-date-1"><?php echo e(\Str::limit($port->getLabel(), 20)); ?></span>
            <?php endif; ?>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

    <?php $__currentLoopData = $services_down; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $service): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="front-box service-down">
            <?php echo \LibreNMS\Util\Url::deviceLink($service->device, $service->device->shortDisplayName()); ?>

            <span class=service-down><?php echo e(__('Service Down')); ?></span>
            <?php echo e($service->service_type); ?>

        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

    <?php $__currentLoopData = $bgp_down; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $bgp): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="front-box bgp-down">
            <?php echo \LibreNMS\Util\Url::deviceLink($bgp->device, $bgp->device->shortDisplayName()); ?>

            <span class="bgp-down"><?php echo e(__('BGP Down')); ?></span>
            <span class="<?php echo e((strstr($bgp->bgpPeerIdentifier, ':') ? 'front-page-bgp-small' : 'front-page-bgp-normal')); ?>">
                <?php echo e($bgp->bgpPeerIdentifier); ?>

            </span>
            <br />
            <span class="body-date-1">AS<?php echo e(\Str::limit($bgp->bgpPeerRemoteAs . ' ' . $bgp->astext, 14)); ?></span>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

    <?php $__currentLoopData = $devices_uptime; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $device): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <div class="front-box device-rebooted">
            <?php echo \LibreNMS\Util\Url::deviceLink($device, $device->shortDisplayName()); ?>

            <span class="device-rebooted"><?php echo e(__('Device Rebooted')); ?></span>
            <br />
            <span class="body-date-1"><?php echo e($device->formatDownUptime(true)); ?></span>
        </div>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

<?php if(
    empty($devices_down) &&
    empty($ports_down) &&
    empty($services_down) &&
    empty($bgp_down) &&
    empty($devices_uptime)
): ?>
    <h5>Nothing here yet</h5>
    <p class=welcome>
        This is where status notifications about devices and services would normally go.
        You might have none because you run such a great network, or perhaps you've just started using <?php echo e(Config::get('project_name')); ?>

        If you're new to <?php echo e(Config::get('project_name')); ?>, you might
        want to start by adding one or more devices in the Devices menu.
    </p>
<?php endif; ?>


<?php if(count($syslog)): ?>
<div class="container-fluid">
    <div class="row">
        <div class="col-md-12">
            &nbsp;
        </div>
    </div>
    <div class="row">
        <div class="col-md-12">
            <?php if (isset($component)) { $__componentOriginalc7e2ab31530b26312484d537a31f8e4c = $component; } ?>
<?php if (isset($attributes)) { $__attributesOriginalc7e2ab31530b26312484d537a31f8e4c = $attributes; } ?>
<?php $component = App\View\Components\Panel::resolve(['title' => ''.e(__('Syslog entries')).''] + (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag ? (array) $attributes->getIterator() : [])); ?>
<?php $component->withName('panel'); ?>
<?php if ($component->shouldRender()): ?>
<?php $__env->startComponent($component->resolveView(), $component->data()); ?>
<?php if (isset($attributes) && $attributes instanceof Illuminate\View\ComponentAttributeBag && $constructor = (new ReflectionClass(App\View\Components\Panel::class))->getConstructor()): ?>
<?php $attributes = $attributes->except(collect($constructor->getParameters())->map->getName()->all()); ?>
<?php endif; ?>
<?php $component->withAttributes([]); ?>
                 <?php $__env->slot('table', null, []); ?> 
                    <table class="table table-hover table-condensed table-striped">
                    <?php $__currentLoopData = $syslog; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <tr>
                            <td><?php echo e($entry->date); ?></td>
                            <td><strong><?php echo \LibreNMS\Util\Url::deviceLink($entry->device); ?></strong></td>
                            <td><strong><?php echo e($entry->program); ?> : </strong> <?php echo e($entry->msg); ?></td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </table>
                 <?php $__env->endSlot(); ?>
             <?php echo $__env->renderComponent(); ?>
<?php endif; ?>
<?php if (isset($__attributesOriginalc7e2ab31530b26312484d537a31f8e4c)): ?>
<?php $attributes = $__attributesOriginalc7e2ab31530b26312484d537a31f8e4c; ?>
<?php unset($__attributesOriginalc7e2ab31530b26312484d537a31f8e4c); ?>
<?php endif; ?>
<?php if (isset($__componentOriginalc7e2ab31530b26312484d537a31f8e4c)): ?>
<?php $component = $__componentOriginalc7e2ab31530b26312484d537a31f8e4c; ?>
<?php unset($__componentOriginalc7e2ab31530b26312484d537a31f8e4c); ?>
<?php endif; ?>
        </div>
   </div>
</div>
<?php endif; ?>

</div>
</div>
</div>
</div>
</div>
</div>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.librenmsv1', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /usr/share/librenms/resources/views/overview/simple.blade.php ENDPATH**/ ?>